## tuxguitar 1.0

=== TuxGuitar-CoreAudio/jni/Makefile ===
CXX = g++

SDK = /Developer/SDKs/MacOSX10.4u.sdk
JAVA_FRAMEWORK = $(SDK)/System/Library/Frameworks/JavaVM.framework

INCLUDES = -I $(JAVA_FRAMEWORK)/Headers/

LIBRARIES = -framework CoreAudio -framework JavaVM -framework AudioUnit -framework AudioToolbox -framework Carbon

LIBRARY = tuxguitar-coreaudio-jni.jnilib

FILENAME = org_herac_tuxguitar_player_impl_midiport_coreaudio_MidiReceiverJNI.cpp

all:	$(LIBRARY)

$(LIBRARY):	$(OBJECT)
	g++ $(INCLUDES) -isysroot $(SDK) -arch ppc $(LIBRARIES) -msse -dynamiclib -o ppc_$(LIBRARY) $(FILENAME)
	g++ $(INCLUDES) -isysroot $(SDK) -arch i386 $(LIBRARIES) -msse -dynamiclib -o intel_$(LIBRARY) $(FILENAME)
	lipo -create ppc_$(LIBRARY) intel_$(LIBRARY) -output $(LIBRARY)
	rm ppc_$(LIBRARY) intel_$(LIBRARY)

clean:

## tuxguitar 1.0.dak

=== Makefile ===
#! /usr/bin/make -f
# -*- makefile -*-
#ident "$Id: Makefile,v 1.19 2008/04/17 20:06:22 rzr Exp $"
#@author: created by www.philippe.coval.online.fr -- revision: $Author: rzr $
#licence: LGPL-2.1
#------------------------------------------------------------------------------
default: build

PACKAGE?=tuxguitar

JNI_OS?=linux
JAVA_HOME?=/usr/lib/jvm/java-6-sun/
JAVA_VERS?=1.4

ITEXT_JAR?=/usr/share/java/itext.jar

SWT_JAR?=$(shell echo ` \
    ( t=/usr/share/java/swt.jar && test -r "$$t" && echo $$t ) \
 || ( t=/usr/lib/java/swt.jar && test -r "$$t" && echo $$t ) \
 || ( t=/etc/alternatives/swt.jar && test -r "$$t" && echo $$t ) \
` )
SWT_PATH?=${SWT_JAR}

PACKAGE_JAR?=${CURDIR}/TuxGuitar/${PACKAGE}.jar
TUXGUITAR_PATH?=${PACKAGE_JAR}

PACKAGE_EXEC?=${CURDIR}/misc/${PACKAGE}.sh

JNILIB_SUFFIX?=.so
JNILIB_PREFIX?=lib

subdirs?=\
 TuxGuitar \
 TuxGuitar-compat \
 TuxGuitar-ascii \
 TuxGuitar-gtp \
 TuxGuitar-musicxml \
 TuxGuitar-ptb \
 TuxGuitar-tef \
\
 TuxGuitar-pdf \
 TuxGuitar-midi \
 TuxGuitar-tray \
 TuxGuitar-lilypond \
\
 TuxGuitar-jsa \
#}subdirs

subdirs_jni?=\
 TuxGuitar-alsa \
 TuxGuitar-oss \
 TuxGuitar-fluidsynth \
 #}subdirs_jni

#  TuxGuitar-converter # TODO
export PACKAGE_JAR 
###

out_java?=\
 ./TuxGuitar/tuxguitar.jar \
 ./TuxGuitar-compat/tuxguitar-compat.jar \
 ./TuxGuitar-lilypond/tuxguitar-lilypond.jar \
 ./TuxGuitar-midi/tuxguitar-midi.jar \
 ./TuxGuitar-gtp/tuxguitar-gtp.jar \
 ./TuxGuitar-pdf/tuxguitar-pdf.jar \
 ./TuxGuitar-tef/tuxguitar-tef.jar \
 ./TuxGuitar-ascii/tuxguitar-ascii.jar \
 ./TuxGuitar-tray/tuxguitar-tray.jar \
 ./TuxGuitar-ptb/tuxguitar-ptb.jar \
 ./TuxGuitar-musicxml/tuxguitar-musicxml.jar \
 ./TuxGuitar-converter/tuxguitar-converter.jar \
 #}out_java

out_jsa?=TuxGuitar-jsa/tuxguitar-jsa.jar

out_sun?=\
 TuxGuitar-library-ftp/tuxguitar-browser-ftp.jar \
 TuxGuitar-library-http/tuxguitar-library-http.jar \
 #}out_sun

out_linux?=\
 ./TuxGuitar-alsa/tuxguitar-alsa.jar \
 ./TuxGuitar-alsa/jni/libtuxguitar-alsa-jni.so \
 ./TuxGuitar-oss/tuxguitar-oss.jar \
 ./TuxGuitar-oss/jni/libtuxguitar-oss-jni.so \
 ./TuxGuitar-fluidsynth/tuxguitar-fluidsynth.jar \
 ./TuxGuitar-fluidsynth/jni/libtuxguitar-fluidsynth-jni.so \
 #}out_linux

out_windows?=TuxGuitar-winmm/tuxguitar-winmm.jar

out_macos?=TuxGuitar-CoreAudio/tuxguitar-coreaudio.jar

#all?=${out_java} out_${JNI_OS} ${out_jsa} ${out_sun}  # TODO
all?=${out_java} ${out_${JNI_OS}} ${out_jsa} 

###

ANT_FLAGS?=\
 -Dpath.tuxguitar="${PACKAGE_JAR}" \
 -Dpath.itext="${ITEXT_JAR}" \
 -Dpath.swt="${SWT_JAR}" \
 -Dlib.swt.jar="${SWT_JAR}" \
 -Ddist.version="java" \
 -Ddist.file="NOT_EXISTENT_FILE" \
 -Dant.build.javac.source=${JAVA_VERS} \
 -Dant.build.javac.target=${JAVA_VERS} \
 -Dbuild.jni.library.dir=. \
 -Dbuild.jni.library.extension=${JNILIB_SUFFIX} \
 -Dbuild.jni.library.prefix=${JNILIB_PREFIX} \
 -lib ${CURDIR}/TuxGuitar \
 #}ANT_FLAGS

CFLAGS?=\
 -I$(shell gcj -print-file-name=include/)

CFLAGS+= \
-I${JAVA_HOME}/include/ \
-I${JAVA_HOME}/include/${JNI_OS}

MAKE_FLAGS+=\
 SWT_PATH=${SWT_PATH} \
 JAVA_HOME=${JAVA_HOME} \
 JNILIB_SUFFIX=${JNILIB_SUFFIX} \
 JNILIB_PREFIX=${JNILIB_PREFIX} \
 CFLAGS=${CFLAGS}
 #} MAKE_FLAGS

PREFIX?=${DESTDIR}/usr
INSTALL_BIN_DIR?=${PREFIX}/bin/
INSTALL_LIB_DIR?=${PREFIX}/lib/jni/
INSTALL_DOC_DIR?=${PREFIX}/share/${PACKAGE}/doc/
INSTALL_SHARE_DIR?=${PREFIX}/share/${PACKAGE}/
INSTALL_JAR_DIR?=${INSTALL_SHARE_DIR}/

build: help all

rebuild: clean fix build

all: ${all} 

all-java: ${out_java}

all-linux: ${out_linux}

all-sun: ${out_sun}

%.jar:
	cd ${@D} && ant -v -d ${ANT_FLAGS} all

%.so:
	${MAKE} -C ${@D}/../jni/ ${@F}

#%.native:
#	 make -C $$t  ${MAKE_FLAGS} library_jni

subdirs: ${subdirs}
	for t in $^ ; do \
	 cd "${CURDIR}/$$t" && ant -v -d ${ANT_FLAGS} build ; \
	done

fix: overide

overide: COPYING

COPYING: TuxGuitar
	-@cp -a $</doc/LICENSE ./COPYING
	-@cp -a $</doc/LICENSE ./
	-@cp -a $</doc/CHANGES ChangeLog
	-@cp -a $</doc/README ./
	-@cp -a $</doc/AUTHORS ./

install: ${all}
	-install -d ${PREFIX}
	-install -d ${INSTALL_BIN_DIR}
	-install -d ${INSTALL_JAR_DIR}
	-install -d ${INSTALL_SHARE_DIR}
	-install -d ${INSTALL_DOC_DIR}
#	-install -m 755 ./TuxGuitar/${PACKAGE} ${INSTALL_BIN_DIR}/${PACKAGE}
	-install -m 644 ${PACKAGE_JAR} ${INSTALL_JAR_DIR}/${PACKAGE}.jar
	install -d ${INSTALL_BIN_DIR}
	for t in ${subdirs} ; do cp $$t/*.jar ./TuxGuitar/share/plugins/ ; done
#	-find . -iname "*.jar" -exec cp {} ./TuxGuitar/share/plugins/ \;
	cp -rfa ./TuxGuitar/doc/* ${INSTALL_DOC_DIR}/
#	cp -rfa ./TuxGuitar/share/* ${INSTALL_SHARE_DIR} # TODO
	cp -rfa ./TuxGuitar/share/help ${INSTALL_SHARE_DIR} # TODO
	cp -rfa ./TuxGuitar/share/lang ${INSTALL_SHARE_DIR} # TODO
	cp -rfa ./TuxGuitar/share/scales ${INSTALL_SHARE_DIR} # TODO
	cp -rfa ./TuxGuitar/share/skins ${INSTALL_SHARE_DIR} # TODO
	-cp -a misc/${PACKAGE}.tg ${INSTALL_SHARE_DIR} # TODO
	-install -T ${PACKAGE_EXEC} ${INSTALL_BIN_DIR}/${PACKAGE}
#	-${MAKE} install-jni

install-linux:
	install -d ${INSTALL_LIB_DIR}
	install -s TuxGuitar*/jni/lib*.so ${INSTALL_LIB_DIR}

clean:
	find . -iname "*.class" -exec rm -fv "{}" \;
	find . -iname "*.jar" -exec rm -fv "{}" \;
	find . -iname "*.jnilib" -exec rm -fv "{}" \;
	find . -iname "*.o" -exec rm -fv "{}" \;
	find . -iname "*.so" -exec rm -fv "{}" \;
	find . -type l -exec rm -fv "{}" \;
	rm -rf TuxGuitar/tmp

run: ${PACKAGE_EXEC} 
	cd ./TuxGuitar && APP_HOME=. ; ${SHELL} $< 

test: ${PACKAGE_EXEC}
	cd TuxGuitar && APP_HOME=. ; \
	 export PACKAGE_CLASSPATH="${PACKAGE_JAR}:." ;\
	 DEBUG=1 ${SHELL} $< --version

help:	
	@echo "# JAVA_HOME=${JAVA_HOME}"
	@echo "# JAVA=${JAVA}"
	@echo "# JAVAC=${JAVAC}"
	@echo "# SWT_JAR=${SWT_JAR}"
	-which javac
	-which java
#	java -version

version?=$(shell date +%Y%m%d)
scmroot?=https://${PACKAGE}.svn.sourceforge.net/svnroot/${PACKAGE}/trunk

package_version?=0.0.${version}
snapshot_dir?=${PACKAGE}-snapshot-${package_version}
release_dir?=${PACKAGE}-${package_version}

dist tarball: snapshot


snapshot: ../${snapshot_dir}.tar.gz 

../${snapshot_dir}.tar.gz: ../${snapshot_dir}
	cd ${@D} && tar czf ${@F}.tar.gz \
	 --exclude="debian" \
	 ${@D}

release:  ../${release_dir}.tar.gz 

../${release_dir}.tar.gz: ../${release_dir}
	cd ${@D} && tar czf ${@F}.tar.gz \
	 --exclude="debian" --exclude "CVS" --exclude ".svn"\
	 ${@D}

../${snapshot_dir} ../${release_dir}:
	svn co ${scmroot} $@

#eof "$Id: Makefile,v 1.19 2008/04/17 20:06:22 rzr Exp $"

## tuxguitar 1.1

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,8 @@
  TuxGuitar-lilypond \
 \
  TuxGuitar-jsa \
+\
+ TuxGuitar-converter \
 #}subdirs
 
 subdirs_jni?=\
@@ -52,7 +54,7 @@
  TuxGuitar-fluidsynth \
  #}subdirs_jni
 
-#  TuxGuitar-converter # TODO
+#  
 export PACKAGE_JAR 
 ###

## tuxguitar 1.2

=== TuxGuitar-CoreAudio/jni/Makefile ===
--- 
+++ 
@@ -7,16 +7,16 @@
 
 LIBRARIES = -framework CoreAudio -framework JavaVM -framework AudioUnit -framework AudioToolbox -framework Carbon
 
-LIBRARY = tuxguitar-coreaudio-jni.jnilib
+LIBRARY = libtuxguitar-coreaudio-jni.jnilib
 
 FILENAME = org_herac_tuxguitar_player_impl_midiport_coreaudio_MidiReceiverJNI.cpp
 
 all:	$(LIBRARY)
 
-$(LIBRARY):	$(OBJECT)
+$(LIBRARY):	clean
 	g++ $(INCLUDES) -isysroot $(SDK) -arch ppc $(LIBRARIES) -msse -dynamiclib -o ppc_$(LIBRARY) $(FILENAME)
 	g++ $(INCLUDES) -isysroot $(SDK) -arch i386 $(LIBRARIES) -msse -dynamiclib -o intel_$(LIBRARY) $(FILENAME)
 	lipo -create ppc_$(LIBRARY) intel_$(LIBRARY) -output $(LIBRARY)
-	rm ppc_$(LIBRARY) intel_$(LIBRARY)
 
 clean:
+	rm -f ppc_$(LIBRARY) intel_$(LIBRARY) $(LIBRARY)

=== TuxGuitar-carbon-integration/jni/Makefile ===
CXX = g++

SDK = /Developer/SDKs/MacOSX10.4u.sdk
JAVA_FRAMEWORK = $(SDK)/System/Library/Frameworks/JavaVM.framework

INCLUDES = -I $(JAVA_FRAMEWORK)/Headers/

LIBRARIES = -framework JavaVM -framework Carbon -framework ApplicationServices
LIBRARY = libtuxguitar-carbon-integration.jnilib

FILENAME = org_herac_tuxguitar_carbon_opendoc_OpenDocJNI.cpp

all:	$(LIBRARY)

$(LIBRARY):	clean
	g++ $(INCLUDES) -isysroot $(SDK) -arch ppc $(LIBRARIES) -msse -dynamiclib -o ppc_$(LIBRARY) $(FILENAME)
	g++ $(INCLUDES) -isysroot $(SDK) -arch i386 $(LIBRARIES) -msse -dynamiclib -o intel_$(LIBRARY) $(FILENAME)
	lipo -create ppc_$(LIBRARY) intel_$(LIBRARY) -output $(LIBRARY)

clean:
	rm -f ppc_$(LIBRARY) intel_$(LIBRARY) $(LIBRARY)

=== debian/changelog ===
tuxguitar (1.2-23) unstable; urgency=medium

  * Team upload.
  * Transition to SWT 4
  * Simplified the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 Oct 2017 22:48:13 +0200

tuxguitar (1.2-22) unstable; urgency=medium

  * Team upload.
  * Removed the build dependency on gcj-jdk
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * Updated debian/watch to track the latest releases on SourceForge

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Jul 2016 12:38:27 +0200

tuxguitar (1.2-21) unstable; urgency=medium

  * Team upload.
  * Move "libjack-jackd2-dev | libjack-dev" from Depends to Build-Depends.
    This fixes a build failure detected by the reproducible build project.
  * Use dpkg-parsechangelog's --show-field in debian/rules.
    Bump versioned build-dep on dpkg-dev.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Sep 2015 18:22:36 +0200

tuxguitar (1.2-20) unstable; urgency=medium

  * Drop dependency on xulrunner (Closes: #751563)
  * Update debian/copyright for debian/* files.

 -- tony mancill <tmancill@debian.org>  Sat, 14 Jun 2014 10:01:55 -0700

tuxguitar (1.2-19) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner dependencies.
  * Refresh 03-CVE-2010-3385.patch (offset).
  * Use debhelper (compatibility level) 9.
  * Enable hardening for libraries.
    Use /usr/share/dpkg/buildflags.mk in debian/rules; add patch
    04-hardening-cppflags.patch to pass CPPFLAGS; build depend on new enough
    dpkg-dev.
  * Fix minified jQuery issue.
    Binary package: symlink to packaged version and depend on it.
    Source package: add unminified .js source.

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 May 2014 00:42:24 +0200

tuxguitar (1.2-18) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner dependencies.

 -- gregor herrmann <gregoa@debian.org>  Thu, 20 Mar 2014 22:55:24 +0100

tuxguitar (1.2-17) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner-* dependencies.
  * Remove debian/stamp-patched from source package.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Dec 2013 16:57:29 +0100

tuxguitar (1.2-16) unstable; urgency=low

  * Team upload.
  * Update list of xulrunner-* versions in Depends to what we have in
    Debian.
    Thanks to Andreas Beckmann for the bug report. (Closes: #726730)
  * Use canonical URLs for the Vcs-* fields.
  * debian/rules: don't set DH_VERBOSE.
    Makes the build output more readable.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Oct 2013 20:59:10 +0200

tuxguitar (1.2-15) unstable; urgency=low

  * Update list of possible xulrunner dependencies (Closes: #712677)
  * Add "file" to Depends; it is used in /usr/bin/tuxguitar.
  * Allow java2-runtime (and thus openjdk-7-jre) to satisfy depends
    for tuxguitar-jsa.  Remove sun JREs.

 -- tony mancill <tmancill@debian.org>  Tue, 18 Jun 2013 21:37:33 -0700

tuxguitar (1.2-14) experimental; urgency=low

  * Team upload.

  [ Philippe Coval ]
  * Supports also jack2 (Closes: #608041)
  * fix: maintainers email

  [ gregor herrmann ]
  * Make Ubuntu diff obsolete:
    - debian/{control,rules}: don't insert xulrunner dependency on Ubuntu and
      derivatives
    - debian/rules: remove mozilla check from tuxguitar.sh during build on
      Ubuntu and derivates (LP: 1123416)
  * Set Standards-Version to 3.9.4 (no changes).
  * Remove build dependency on quilt (not needed with source format '3.0
    (quilt)').
  * Remove duplicated sections from binary packages in debian/control.

 -- gregor herrmann <gregoa@debian.org>  Tue, 12 Mar 2013 21:03:54 +0100

tuxguitar (1.2-13) unstable; urgency=low

  [ Philippe Coval ]
  * upgrade xulrunner (Closes: #661216)
  * open to comaintenance in pkg-java team

  [ tony mancill ]
  * Convert d/copyright to machine readable format.
  * Update Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Sat, 25 Feb 2012 10:46:31 -0800

tuxguitar (1.2-12) unstable; urgency=low

  * Add xulrunner-8.0 and 9.0 to list of dependencies  (Closes: #647542)
  * Modify debian/rules for BuildArchTarget release goal.

 -- tony mancill <tmancill@debian.org>  Mon, 21 Nov 2011 16:25:53 -0800

tuxguitar (1.2-11) unstable; urgency=low

  * Reorder build depends to address kfreebsd build problem.

 -- tony mancill <tmancill@debian.org>  Mon, 31 Oct 2011 07:33:41 -0700

tuxguitar (1.2-10) unstable; urgency=low

  * debian/control:
    - Add xulrunner-7.0 as an alternate dependency. (Closes: #644921)
  * debian/patches/01-tuxguitar-rzr.patch: Handle xulrunner-7.0.
  * debian/patches/03-CVE-2010-3385.patch: Refresh/rediff.
    (Thanks to Daniel T Chen for the patch.)

 -- tony mancill <tmancill@debian.org>  Sun, 16 Oct 2011 08:43:16 -0700

tuxguitar (1.2-9.1) unstable; urgency=low

  * Non-maintainer upload, with co-maintainer's permission.
  * Fix "depends on obsolete xulrunner-1.9.1": update Depends and
    01-tuxguitar-rzr.patch (closes: #637372).

 -- gregor herrmann <gregoa@debian.org>  Thu, 11 Aug 2011 22:16:07 +0200

tuxguitar (1.2-9) unstable; urgency=low

  * Update debian/control 
    - build/depend on swt-gtk-3 (3.7) instead of 3.6.
    - replace build-dep on gcj with gcj-jdk
    - replace dependency on libswt-mozilla-gtk-3-jni 
      with libswt-webkit-gtk-3-jni
  * Update debian/patches/01-tuxguitar-rzr.patch for classpath changes

 -- tony mancill <tmancill@debian.org>  Tue, 26 Jul 2011 22:59:03 -0700

tuxguitar (1.2-8) unstable; urgency=low

  * Update depend on swt-gtk 3.6 (Closes: #621864)
  * Bump Standards-Version to 3.9.2.

 -- tony mancill <tmancill@debian.org>  Sat, 09 Apr 2011 23:08:37 -0700

tuxguitar (1.2-7) unstable; urgency=medium

  * Apply patch for CVE-2010-3385 (Closes: #598307)
    Thanks to Etienne Millon

 -- tony mancill <tmancill@debian.org>  Tue, 12 Oct 2010 06:32:31 -0700



=== debian/control ===
Source: tuxguitar
Section: sound
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Philippe Coval <rzr@gna.org>,
           tony mancill <tmancill@debian.org>
Build-Depends: ant,
               debhelper (>= 9),
               default-jdk,
               docbook-to-man,
               docbook-utils,
               dpkg-dev (>= 1.17.0~),
               libasound2-dev | liboss4-salsa-dev,
               libfluidsynth-dev,
               libitext-java,
               libjack-jackd2-dev | libjack-dev,
               libswt-gtk-4-java
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/tuxguitar.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tuxguitar.git
Homepage: http://www.tuxguitar.com.ar

Package: tuxguitar
Architecture: all
Depends: default-jre | java2-runtime,
         file,
         libitext-java,
         libjs-jquery,
         libswt-cairo-gtk-4-jni,
         libswt-gtk-4-java,
         libswt-webkit-gtk-4-jni,
         ${misc:Depends}
Recommends: tuxguitar-alsa (= ${source:Version}),
            tuxguitar-oss (= ${source:Version})
Suggests: lilypond,
          tuxguitar-jsa (= ${source:Version})
Description: Multitrack guitar tablature editor and player (gp3 to gp5)
 TuxGuitar is a multitrack Guitar tablature editor and player.
 It can open GP3, GP4, and GP5 files and exports in MIDI and PDF.

Package: tuxguitar-jsa
Architecture: all
Depends: default-jre | java2-runtime,
         tuxguitar (= ${source:Version}),
         ${misc:Depends}
Description: tuxguitar plugin for sound playback using Java Sound API
 Use Tuxguitar along this plugin if unsure, other sounds can be used too.

Package: tuxguitar-alsa
Architecture: any
Depends: tuxguitar (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: timidity
Description: tuxguitar plugin for sound playback using ALSA
 Use Tuxguitar along this plugin if your Sound Device is supported by ALSA.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-oss
Architecture: any
Depends: oss-compat,
         tuxguitar (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: timidity
Priority: extra
Description: tuxguitar plugin for sound playback using OSS
 Use Tuxguitar along this plugin if your Sound Device is supported by OSS.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-fluidsynth
Architecture: any
Depends: fluidsynth,
         tuxguitar (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Priority: extra
Description: tuxguitar plugin for sound playback using fluidsynth
 Use Tuxguitar along this plugin if your audio system is configured for
 fluidsynth as MIDI expander.

Package: tuxguitar-jack
Architecture: any
Depends: tuxguitar (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: qjackctl
Priority: extra
Description: tuxguitar plugin for sound playback using JACKD
 Use Tuxguitar along this plugin if your Sound Device is supported by JACK.
 A MIDI expander is required (Hardware or Software).

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
default: build

#export DH_VERBOSE=1
MAINPACKAGE?=$(shell dpkg-parsechangelog -S Source)
PACKAGE?=tuxguitar
JAVA_HOME=/usr/lib/jvm/default-java
JAVA?=${JAVA_HOME}/jre/bin/java
JAVAC?=${JAVA_HOME}/bin/javac
export JAVAC JAVA JAVA_HOME
DEB_DESTDIR?=${CURDIR}/debian/${MAINPACKAGE}
DEB_DESTDIR_TMP?=${CURDIR}/debian/tmp/${MAINPACKAGE}

# build flags for hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
#	${MAKE} clean ${MAKE}
	docbook-to-man misc/${PACKAGE}.sgml > debian/${PACKAGE}.1
	touch $@

distclean: clean

clean:
	dh_testdir
	dh_testroot
	${MAKE} -k clean distclean $@ || echo "Ignored"
	${RM} -f build-stamp configure-stamp
	${RM} -f debian/${PACKAGE}.1 ./TuxGuitar/tuxguitar
	${RM} -rf TuxGuitar/build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	${MAKE} $@ DESTDIR=${DEB_DESTDIR}
	${MAKE} $@-linux DESTDIR=${DEB_DESTDIR_TMP}
	install -d ${DEB_DESTDIR}/usr/bin/
	rm -vf ${DEB_DESTDIR}/usr/share/tuxguitar/doc/LICENSE
	dh_install

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs --exclude=LICENSE
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

#eof "$Id: debian/rules $"

=== debian/watch ===
version=3
http://sf.net/tuxguitar/tuxguitar-(.*)-src.tar.gz

## tuxguitar 1.5.6+dfsg1

=== TuxGuitar-AudioUnit/jni/Makefile ===
CXX = g++

SDK = /Developer/SDKs/MacOSX10.5.sdk
SDK64 = /Developer/SDKs/MacOSX10.5.sdk
JAVA_FRAMEWORK = $(SDK)/System/Library/Frameworks/JavaVM.framework
JAVA_FRAMEWORK64 = $(SDK64)/System/Library/Frameworks/JavaVM.framework

INCLUDES = -I $(JAVA_FRAMEWORK)/Headers/
INCLUDES64 = -I $(JAVA_FRAMEWORK64)/Headers/

LIBRARIES = -framework CoreAudio -framework JavaVM -framework AudioUnit -framework AudioToolbox -framework CoreServices

LIBRARY = libtuxguitar-audiounit-jni.jnilib

FILENAME = org_herac_tuxguitar_player_impl_midiport_audiounit_MidiReceiverJNI.cpp

all:	$(LIBRARY)

$(LIBRARY):	clean
	g++ $(INCLUDES) -isysroot $(SDK) -arch ppc $(LIBRARIES) -msse -bundle -o ppc_$(LIBRARY) $(FILENAME)
	g++ $(INCLUDES) -isysroot $(SDK) -arch i386 $(LIBRARIES) -msse -bundle -o intel_$(LIBRARY) $(FILENAME)
	g++ $(INCLUDES64) -isysroot $(SDK64) -arch x86_64 $(LIBRARIES) -msse -bundle -o intel64_$(LIBRARY) $(FILENAME)
	lipo -create ppc_$(LIBRARY) intel_$(LIBRARY) intel64_$(LIBRARY) -output $(LIBRARY)

clean:
	rm -f ppc_$(LIBRARY) intel_$(LIBRARY) intel64_$(LIBRARY) $(LIBRARY)

=== debian/changelog ===
tuxguitar (1.5.6+dfsg1-8build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:50 +1100

tuxguitar (1.5.6+dfsg1-8build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:20:36 +0000

tuxguitar (1.5.6+dfsg1-8build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:04:34 +0000

tuxguitar (1.5.6+dfsg1-8) unstable; urgency=medium

  * QA upload
  * Add dependency on libcommons-compress-java (Closes: #1043253)
    Thank you to Freddybobjo for the Salsa merge request.

 -- tony mancill <tmancill@debian.org>  Tue, 19 Dec 2023 21:36:15 -0800

tuxguitar (1.5.6+dfsg1-7) unstable; urgency=medium

  * QA upload
  * Fix CVE-2020-14940 (Closes: #963626)
  * Try build on every Linux arch

 -- Bastian Germann <bage@debian.org>  Mon, 06 Nov 2023 23:13:56 +0100

tuxguitar (1.5.6+dfsg1-6) unstable; urgency=medium

  * QA upload.
  * Exclude mips-based archs from build for arch-any binary packages

 -- tony mancill <tmancill@debian.org>  Tue, 31 Jan 2023 21:05:02 -0800

tuxguitar (1.5.6+dfsg1-5) unstable; urgency=medium

  * QA upload.
  * Address installation problem with tuxguitar-alsa (Closes: #1029622)
    - Stop installing maven coords in arch-any package
    - Don't build native modules during arch-all build
    - No longer call clean maven target
    - Remove debian/tuxguitar-alsa.pom symlink in dh_auto_clean target

 -- tony mancill <tmancill@debian.org>  Fri, 27 Jan 2023 22:12:39 -0800

tuxguitar (1.5.6+dfsg1-4) unstable; urgency=medium

  * QA upload.
  * Override autoconf target FTBFS for arch-any (Closes: #1029476)
    Thank you to Helmar Gerloni for the idea.
  * Revert change to build architectures to try "all" again.

 -- tony mancill <tmancill@debian.org>  Tue, 24 Jan 2023 20:44:33 -0800

tuxguitar (1.5.6+dfsg1-3) unstable; urgency=medium

  * QA upload.
  * Update 11-eclipse-swt.patch

 -- tony mancill <tmancill@debian.org>  Thu, 19 Jan 2023 22:25:45 -0800

tuxguitar (1.5.6+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Source-only upload
  * Restrict build architectures to amd64 and arm64 (Closes: #1029108)

 -- tony mancill <tmancill@debian.org>  Thu, 19 Jan 2023 20:54:03 -0800

tuxguitar (1.5.6+dfsg1-1) unstable; urgency=medium

  [ Helmar Gerloni ]
  * QA upload.
  * New upstream release (Closes: #819332)
    - Lithuaninan translation is included (Closes: #594758)
  * New build system Maven.
  * debian/rules: Changed for Maven build.
  * Added debian/maven.rules.
  * debian/control: Added package tuxguitar-synth-lv2 and updated dependencies.
  * debian/copyright:
    - Drop non-Linux, legacy, non-free and some unused code.
    - Drop MagicSFver2.sf2 because of unclear license.
  * debian/watch: Added dfsg opts.
  * Updated debian/clean.
  * Removed debian/missing-sources/jquery-1.2.6.js since it is not referenced in
    the help pages any more.
  * debian/tuxguitar.links:
    - Removed link to usr/share/javascript/jquery/jquery.min.js.
    - Added link to /usr/bin/tuxguitar.
  * Updated debian/README.Debian.
  * Added debian/tuxguitar.sh.
  * Added debian/tuxguitar.desktop.
  * /debian/patches/:
    - 01-tuxguitar-rzr.patch removed (partially applied upstream, obsolete)
    - 02-desktop.patch removed (replaced by debian/tuxguitar.desktop)
    - 03-CVE-2010-3385.patch removed (obsolete)
    - 04-hardening-cppflags.patch: Removed TuxGuitar-winmm part
    - 05-drop_xulrunner.patch removed (obsolete)
    - 06-swt4.patch removed (replaced by debian/tuxguitar.sh)
    - 07-git_new_libfluidsynth.patch removed (partially in upstream, obsolete)
    - 11-eclipse-swt.patch added (use debian swt)
    - 12-remove-thirth-party-libs.patch added (use Debian libs)
    - 13-remove-vst.patch added (do not build non-free VST plugin)
    - 14-replace-soundfont.patch added (use fluid-soundfont-gm)
    - 15-path-to-lv2.patch added (fix path to tuxguitar-synth-lv2.bin)
    - 16-fix-cflags.patch added (add -g flag, remove -m64)
  * /debian/*.install: Updated to new files and locations.

  [ tony mancill ]
  * Add lintian overrides for long HTML lines
  * Update debian/copyright to document source files under licenses
    other than the LGPL

 -- Helmar Gerloni <helmar@gerloni.net>  Sat, 14 Jan 2023 17:06:34 +0100

tuxguitar (1.2-26) unstable; urgency=medium

  * Update Maintainer to orphan the package (Debian bug #1013777)

 -- tony mancill <tmancill@debian.org>  Sat, 25 Jun 2022 08:26:34 -0700

tuxguitar (1.2-25) unstable; urgency=medium

  * Team upload.

  [ Sebastien Bacher ]
  * debian/patches/07-git_new_libfluidsynth.patch:
    - backport an upstream commit to build with the new libfluidsynth
      (Closes: #946848)

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.4.1.
  * Remove dpkg-dev from Build-Depends.
    dpkg-dev is build-essential, and the previously required version is
    satisfied even in oldoldstable.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Use secure URI in debian/watch.
  * Set bindnow linker flag in debian/rules.
  * Use HTTPS for two URLs in debian/copyright.
  * Update years of packaging copyright.
  * Don't install anything into /usr/share/tuxguitar/doc.
  * Fix day-of-week for changelog entries 1.1-1ubuntu1, 0.9.99~1.0rc3-1.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Dec 2019 20:27:02 +0100

tuxguitar (1.2-24) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer
  * No longer call update-{mime,desktop}-database in the maintainer scripts
    (Closes: #860845)
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Replaced the priority extra with optional
  * Removed the Debian menu file

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Sep 2019 23:33:26 +0200

=== debian/control ===
Source: tuxguitar
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               maven-debian-helper (>= 2.6),
               libmaven-antrun-plugin-java,
               libmaven-compiler-plugin-java,
               libmaven-dependency-plugin-java,
               libmaven-jar-plugin-java,
               default-jdk,
               docbook-to-man,
               libswt-gtk-4-java,
               libitext5-java,
               libasound2-dev,
               libjack-jackd2-dev,
               libfluidsynth-dev,
               liblilv-dev, libsuil-dev, qtbase5-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/java-team/tuxguitar
Vcs-Git: https://salsa.debian.org/java-team/tuxguitar.git
Homepage: http://www.tuxguitar.com.ar
Rules-Requires-Root: no

Package: tuxguitar
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends},
         default-jre,
         libswt-cairo-gtk-4-jni, libeclipse-e4-ui-widgets-java,
         fluid-soundfont-gm,
         libcommons-compress-java
Suggests: ${maven:OptionalDepends},
          tuxguitar-jsa (= ${source:Version}),
          lilypond
Description: Multitrack guitar tablature editor and player
 TuxGuitar is a multitrack guitar tablature editor and player written in
 Java-SWT. It can open GuitarPro, PowerTab and TablEdit files.

Package: tuxguitar-jsa
Architecture: all
Depends: ${misc:Depends},
         tuxguitar (= ${source:Version})
Description: tuxguitar plugin for sound playback using Java Sound API
 Use Tuxguitar along this plugin if unsure, other sounds can be used too.

Package: tuxguitar-alsa
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Suggests: timidity
Description: tuxguitar plugin for sound playback using ALSA
 Use Tuxguitar along this plugin if your Sound Device is supported by ALSA.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-oss
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version}),
         oss-compat
Suggests: timidity
Description: tuxguitar plugin for sound playback using OSS
 Use Tuxguitar along this plugin if your Sound Device is supported by OSS.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-fluidsynth
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version}),
         fluidsynth
Description: tuxguitar plugin for sound playback using fluidsynth
 Use Tuxguitar along this plugin if your audio system is configured for
 fluidsynth as MIDI expander.

Package: tuxguitar-jack
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Suggests: qjackctl
Description: tuxguitar plugin for sound playback using JACKD
 Use Tuxguitar along this plugin if your Sound Device is supported by JACK.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-synth-lv2
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Description: tuxguitar LV2 audio plugin
 LV2 is an extensible open standard for audio plugins.

=== debian/rules ===
#! /usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA?=${JAVA_HOME}/bin/java

# build flags for hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	# Since our build system is maven, give mh_patchpoms something
	# to patch so arch-any builds succeed.
	# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1029476
	ln -s tuxguitar.poms debian/tuxguitar-alsa.poms
	dh_auto_configure

override_dh_auto_clean:
	-rm -f debian/tuxguitar-alsa.poms
	dh_auto_clean

override_dh_auto_build-arch:
	dh_auto_build --sourcedirectory=build-scripts/tuxguitar-linux-x86_64 -- -e verify -Dnative-modules=true

override_dh_auto_build-indep:
	dh_auto_build --sourcedirectory=build-scripts/tuxguitar-linux-x86_64 -- -e verify -Dnative-modules=false
	docbook-to-man misc/tuxguitar.sgml > debian/tuxguitar.1

override_dh_auto_install:
	dh_auto_install
	-rm -rf ./debian/tuxguitar-alsa/usr/share/maven-repo

=== debian/watch ===
version=4
opts=\
  repacksuffix=+dfsg1,\
  dversionmangle=auto \
https://sf.net/tuxguitar/tuxguitar-@ANY_VERSION@-src@ARCHIVE_EXT@

## tuxguitar 1.6.4+dfsg1

=== debian/changelog ===
tuxguitar (1.6.4+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #1063268)
  * Upstream removed package tuxguitar-oss (Closes: #1075589)
  * TuxGuitar now supports custom tuning presets (Closes: #590982)
  * Merged package tuxguitar-jsa into tuxguitar (default audio output method)
  * debian/*:
    - Updated all debian files to the new upstream source directory structure
      and new file names
  * debian/control:
    - Updated dependencies
    - Updated upstream homepage
  * debian/copyright:
    - Updated upstream contact and source repository
    - Updated copyright holders
  * debian/rules:
    - Replace the pseudo build version 9.99-SNAPSHOT by the current Version of
      TuxGuitar in all xml and html files because upstream changed the way the
      upstream tarballs are provided
    - Added --buildsystem=maven to dh_auto_configure to make sure that
      mh_patchpoms is called
  * debian/watch:
    - Updated upstream download URL
  * debian/upstream/metadata:
    - Updated upstream source repository from SF to Github
  * debian/source/lintian-overrides updated
  * debian/tuxguitar.desktop removed (upstream version can be used now)
  * debian/tuxguitar.triggers added
  * /debian/patches/:
    - 04-hardening-cppflags.patch updated
    - 10-fix-CVE-2020-14940.patch removed (fixed upstream)
    - 11-eclipse-swt.patch updated
    - 12-remove-thirth-party-libs.patch updated
    - 13-remove-vst.patch removed (VST plugin was removed upstream)
    - 14-replace-soundfont.patch updated
    - 15-path-to-lv2.patch updated
    - 16-fix-cflags.patch updated
    - 26-tuxguitar-sh.patch added (replaces debian/tuxguitar.sh)

 -- Helmar Gerloni <helmar@gerloni.net>  Sat, 24 Aug 2024 12:42:38 +0100

=== debian/control ===
Source: tuxguitar
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               docbook-to-man,
               libasound2-dev,
               libfluidsynth-dev,
               libitext5-java,
               libjack-jackd2-dev,
               liblilv-dev,
               libmaven-antrun-plugin-java,
               libmaven-dependency-plugin-java,
               libsuil-dev,
               libswt-gtk-4-java,
               libwebkit2gtk-4.1-dev,
               maven-debian-helper (>= 2.6),
               qtbase5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/tuxguitar
Vcs-Git: https://salsa.debian.org/java-team/tuxguitar.git
Homepage: https://www.tuxguitar.app
Rules-Requires-Root: no

Package: tuxguitar
Architecture: all
Depends: ${misc:Depends},
         default-jre,
         fluid-soundfont-gm,
         libcommons-compress-java,
         libeclipse-e4-ui-widgets-java,
         libswt-cairo-gtk-4-jni
Recommends: fonts-wqy-zenhei,
            guitarix-lv2,
            libwebkit2gtk-4.1-0
Suggests: lilypond
Conflicts: tuxguitar-jsa,
           tuxguitar-oss
Provides: tuxguitar-jsa
Replaces: tuxguitar-jsa
Description: Multitrack guitar tablature editor and player
 TuxGuitar is a multitrack guitar tablature editor and player written in
 Java-SWT. It can open GuitarPro, PowerTab and TablEdit files.

Package: tuxguitar-alsa
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Suggests: timidity
Description: tuxguitar plugin for sound playback using ALSA
 Use Tuxguitar along this plugin if your Sound Device is supported by ALSA.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-fluidsynth
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Description: tuxguitar plugin for sound playback using fluidsynth
 Use Tuxguitar along this plugin if your audio system is configured for
 fluidsynth as MIDI expander.

Package: tuxguitar-jack
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Suggests: qjackctl
Description: tuxguitar plugin for sound playback using JACKD
 Use Tuxguitar along this plugin if your Sound Device is supported by JACK.
 A MIDI expander is required (Hardware or Software).

Package: tuxguitar-synth-lv2
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxguitar (= ${source:Version})
Description: tuxguitar LV2 audio plugin
 LV2 is an extensible open standard for audio plugins.

## tuxguitar 1.6.6%2Bdfsg1

=== debian/rules ===
#! /usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export JAVA?=${JAVA_HOME}/bin/java

# build flags for hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Current TuxGuitar source version (see misc/build_tuxguitar_from_source.sh)
TGSRCVER := $(shell grep 'CURRENT = new TGVersion' common/TuxGuitar-lib/src/org/herac/tuxguitar/util/TGVersion.java | awk -F '[(,)]' '{ print $$2"."$$3"."$$4 }')

%:
	dh $@ --no-parallel

execute_before_dh_auto_build:
	# Change build version from 9.99-SNAPSHOT to ${TGSRCVER} in config files (see misc/build_tuxguitar_from_source.sh)
	find . \( -name "*.xml" -or -name "*.html" \) -and -type f -exec sed -i "s/9.99-SNAPSHOT/${TGSRCVER}/" '{}' \;

override_dh_auto_configure:
	# Since our build system is maven, give mh_patchpoms something
	# to patch so arch-any builds succeed.
	# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1029476
	ln -s tuxguitar.poms debian/tuxguitar-alsa.poms
	# Without a pom file in the root directory, dh_auto_configure without --buildsystem=maven does not call mh_patchpoms
	dh_auto_configure --buildsystem=maven

override_dh_auto_clean:
	-rm -f debian/tuxguitar-alsa.poms
	dh_auto_clean

override_dh_auto_build-arch:
	dh_auto_build --sourcedirectory=desktop/build-scripts/tuxguitar-linux-swt -- -e verify -Dnative-modules=true

override_dh_auto_build-indep:
	dh_auto_build --sourcedirectory=desktop/build-scripts/tuxguitar-linux-swt -- -e verify -Dnative-modules=false
	docbook-to-man misc/tuxguitar.sgml > debian/tuxguitar.1

override_dh_auto_install:
	dh_auto_install
	-rm -rf ./debian/tuxguitar-alsa/usr/share/maven-repo

## tuxguitar 1.6.6+dfsg1

=== debian/changelog ===
tuxguitar (1.6.6+dfsg1-3) unstable; urgency=medium

  * QA upload.
  * debian/patches/26-tuxguitar-sh.patch:
    Add commons-io.jar to CLASSPATH (Closes: #1099681)

 -- Helmar Gerloni <helmar@gerloni.net>  Thu, 10 Apr 2025 21:39:16 +0200

tuxguitar (1.6.6+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Remove -fcf-protection from 16-fix-cflags.patch for builds
    on architectures other than amd64.
    Thank you to Helmar Gerloni for triaging the issue.

 -- tony mancill <tmancill@debian.org>  Wed, 08 Jan 2025 12:47:22 -0800

tuxguitar (1.6.6+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #1092035)
  * debian/control:
    Replace libwebkit2gtk-4.1-0 with libswt-webkit-gtk-4-jni in Recommends
    (Closes: #1092036)
    Move "Recommends: guitarix-lv2" from tuxguitar to tuxguitar-synth-lv2
  * debian/patches/26-tuxguitar-sh.patch:
    Add WEBKIT_DISABLE_COMPOSITING_MODE=1 (Closes: #1092036)
  * debian/patches/27-debian-version.patch:
    Add "(Debian)" to version displayed in the "Help -> About" dialog to
    distinguish this package from the upstream builds
  * debian/patches/28-debian-help-soundfont.patch:
    Add note about changed soundfont in Debian to the help pages
  * debian/patches/16-fix-cflags.patch:
    Add hardening flags suggested by blhc
  * debian/copyright: Update Files-Excluded list
  * debian/README.Debian: Update plugin name

 -- Helmar Gerloni <helmar@gerloni.net>  Mon, 06 Jan 2025 10:43:04 +0100

=== debian/watch ===
version=4
opts=\
  repacksuffix=+dfsg1,\
  dversionmangle=auto \
https://github.com/helge17/tuxguitar/tags .*/([0-9]+\.[0-9]+\.[0-9])+\.tar\.gz

## tuxguitar 2.0.0+dfsg1

=== debian/changelog ===
tuxguitar (2.0.0+dfsg1-3) unstable; urgency=medium

  * QA upload.
  * Really fix clean target. Closes: #1102757.

 -- Santiago Vila <sanvila@debian.org>  Sat, 27 Dec 2025 01:30:00 +0100

tuxguitar (2.0.0+dfsg1-2) unstable; urgency=medium

  * QA upload.
  * Change version in pom.xml files using a patch.
  * Fix clean target. Closes: #1102757.
  * d/control: Move orphaned package to the debian namespace in salsa.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * Add some lintian-overrides.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Thu, 25 Dec 2025 23:05:00 +0100

tuxguitar (2.0.0+dfsg1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #1120536)
  * debian/copyright:
    - Update Files-Excluded list
    - Update copyright holders
  * /debian/patches/:
    - 04-hardening-cppflags.patch updated
    - 11-eclipse-swt.patch updated
    - 26-tuxguitar-sh.patch updated (partially applied upstream)
    - 27-debian-version.patch updated
    - 28-debian-help-soundfont.patch updated
  * debian/rules: updated
  * debian/tuxguitar.poms: updated
  * debian/source/lintian-overrides: added all *.html help files

 -- Helmar Gerloni <helmar@gerloni.net>  Tue, 11 Nov 2025 22:31:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: tuxguitar
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: sound
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                docbook-to-man,
                libasound2-dev,
@@ -16,11 +15,10 @@
                libwebkit2gtk-4.1-dev,
                maven-debian-helper (>= 2.6),
                qtbase5-dev
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/java-team/tuxguitar
-Vcs-Git: https://salsa.debian.org/java-team/tuxguitar.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/tuxguitar
+Vcs-Git: https://salsa.debian.org/debian/tuxguitar.git
 Homepage: https://www.tuxguitar.app
-Rules-Requires-Root: no
 
 Package: tuxguitar
 Architecture: all
@@ -31,8 +29,7 @@
          libeclipse-e4-ui-widgets-java,
          libswt-cairo-gtk-4-jni
 Recommends: fonts-wqy-zenhei,
-            guitarix-lv2,
-            libwebkit2gtk-4.1-0
+            libswt-webkit-gtk-4-jni
 Suggests: lilypond
 Conflicts: tuxguitar-jsa,
            tuxguitar-oss
@@ -76,5 +73,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          tuxguitar (= ${source:Version})
+Recommends: guitarix-lv2
 Description: tuxguitar LV2 audio plugin
  LV2 is an extensible open standard for audio plugins.

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Current TuxGuitar source version (see misc/build_tuxguitar_from_source.sh)
-TGSRCVER := $(shell grep 'CURRENT = new TGVersion' common/TuxGuitar-lib/src/org/herac/tuxguitar/util/TGVersion.java | awk -F '[(,)]' '{ print $$2"."$$3"."$$4 }')
+TGSRCVER := $(shell grep 'CURRENT = new TGVersion' common/TuxGuitar-lib/src/main/java/app/tuxguitar/util/TGVersion.java | awk -F '[(,)]' '{ print $$2"."$$3"."$$4 }')
 
 %:
 	dh $@ --no-parallel
-
-execute_before_dh_auto_build:
-	# Change build version from 9.99-SNAPSHOT to ${TGSRCVER} in config files (see misc/build_tuxguitar_from_source.sh)
-	find . \( -name "*.xml" -or -name "*.html" \) -and -type f -exec sed -i "s/9.99-SNAPSHOT/${TGSRCVER}/" '{}' \;
 
 override_dh_auto_configure:
 	# Since our build system is maven, give mh_patchpoms something
@@ -28,6 +24,9 @@
 
 override_dh_auto_clean:
 	-rm -f debian/tuxguitar-alsa.poms
+	find . -name target | xargs rm -rf
+	rm -rf debian/maven-repo
+	mh_unpatchpoms -p$(shell dh_listpackages)
 	dh_auto_clean
 
 override_dh_auto_build-arch:
@@ -37,6 +36,5 @@
 	dh_auto_build --sourcedirectory=desktop/build-scripts/tuxguitar-linux-swt -- -e verify -Dnative-modules=false
 	docbook-to-man misc/tuxguitar.sgml > debian/tuxguitar.1
 
-override_dh_auto_install:
-	dh_auto_install
-	-rm -rf ./debian/tuxguitar-alsa/usr/share/maven-repo
+execute_after_dh_install:
+	find debian -name "*.html" -type f -exec sed -i "s/9.99-SNAPSHOT/${TGSRCVER}/" '{}' \;
